function getHTTPObject() {
    if (window.XMLHttpRequest) { //dla FF, Opery, Safari
        return new XMLHttpRequest();
    }
    else {
        alert("Twoja przegladarka nie wspiera AJAX");
        return null;
    }
}

function showProgress() {
    try {
        document.getElementById("transBackProgress").style.display = "block";
        document.getElementById("progress").style.display = "block";
    } catch (e) {
        alert(e);
    }
}

function hideProgress() {
    try {
        document.getElementById("progress").style.display = "none";
        document.getElementById("transBackProgress").style.display = "none";
    } catch (e) {
        alert(e);
    }
}

function setPopupSize(){
    document.getElementById("popupWindow").style.display = "block";
    document.getElementById("transBack").style.display = "block";
    document.getElementById("popupWindow").style.marginTop = "-" + Math.round(document.getElementById("popupWindow").clientHeight / 2) + "px";
    document.getElementById("popupWindow").style.marginLeft = "-" + Math.round(document.getElementById("popupWindow").clientWidth / 2) + "px";
}

function hidePopup(){
    try {
        document.getElementById("popupWindow").style.display = "none";
        document.getElementById("transBack").style.display = "none";
    } catch (e) {
        alert(e);
    }
}

$(document).ready(function(){
    $(".expand").on("click", function(event){
      if($(this).hasClass('active')){
        $(this).removeClass('active');
        $(this).closest('tr').next().removeClass('show current');
        $(this).parent().parent().removeClass('current');
        $(this).text('rozwiń');
      }
      else{
        $(this).addClass('active');
        $(this).closest('tr').next().addClass('show current');
        $(this).text('zwiń');
        $(this).parent().parent().addClass('current');
      }
    });

    $(".menu_toggle").on("click", function(event){
      $("#main_nav").slideToggle();
    });
});

function setMaxHeight(name){
    var divs = document.getElementsByClassName(name);
    if(divs.length > 0) {
        var maxH = divs[0].clientHeight;
        for(var i = 1; i < divs.length; ++i) {
            if(divs[i].clientHeight > maxH) {
                maxH = divs[i].clientHeight;
            }
        }

        for(var i = 0; i < divs.length; ++i) {
            divs[i].style.height = maxH + "px";
        }
    }
}

function getValueFromRadioButton(name) {
   var buttons = document.getElementsByName(name);
   for(var i = 0; i < buttons.length; i++) {
      var button = buttons[i];
      if(button.checked) {
         return button.value;
      }
   }
   return null;
}
